source: MondoRescue/branches/2.2.9/mindi-busybox/scripts/randomtest.loop@ 3320

Last change on this file since 3320 was 3320, checked in by Bruno Cornec, 9 years ago
  • Re-add (thanks git BTW) the 2.2.9 branch which had been destroyed in the move to 3.0
  • Property svn:executable set to *
File size: 936 bytes
Line 
1#!/bin/sh
2
3test -d "$1" || { echo "'$1' is not a directory"; exit 1; }
4test -x "$1/scripts/randomtest" || { echo "No scripts/randomtest in '$1'"; exit 1; }
5
6export LIBC="uclibc"
7export CROSS_COMPILER_PREFIX="i686-"
8export MAKEOPTS="-j9"
9
10cnt=0
11fail=0
12while sleep 1; do
13 echo "Passes: $cnt Failures: $fail"
14 dir="test.$$"
15 while test -e "$dir" -o -e "failed.$dir"; do
16 dir="test.$$.$RANDOM"
17 done
18 echo "Running randconfig test in $dir..."
19 if ! "$1/scripts/randomtest" "$1" "$dir" >/dev/null; then
20 mv -- "$dir" "failed.$dir"
21 echo "Failed build in: failed.$dir"
22 exit 1 # you may comment this out...
23 let fail++
24 else
25 (
26 cd -- "$dir/testsuite" || exit 1
27 echo "Running testsuite in $dir..."
28 SKIP_KNOWN_BUGS=1 SKIP_INTERNET_TESTS=1 ./runtest -v >runtest.log 2>&1
29 )
30 if test $? != 0; then
31 echo "Failed runtest in $dir"
32 exit 1
33 fi
34 tail -n10 -- "$dir/testsuite/runtest.log"
35 rm -rf -- "$dir"
36 fi
37 let cnt++
38done
Note: See TracBrowser for help on using the repository browser.